Name:           bzrtools
Version:        2.5
Release:        %mkrel 3
Summary:        A collection of utilities and plugins for Bazaar-NG
Group:          Development/Tools
License:        GPL
URL:            http://bazaar-vcs.org/BzrTools
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.gz.sig

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  bzr
Requires:       python
Requires:       bzr
Requires:       patch
Requires:       rsync
Requires:       graphviz
Requires:       librsvg
Requires:       python-paramiko

%description
BzrTools is a collection of plugins for Bazaar-NG (bzr).  Among the included
plugins are:
* push - uses rsync to push local changes to a remote server
* annotate - prints a file annotated with the revision next to each line
* baz-import - (Requres PyBaz) import an arch archive losslessly into bzr
* shelve/unshelve - allows you to undo some changes, commit, and restore
* clean-tree - remove unknown, ignored-junk, or unversioned files from the tree
* graph-ancestry - use dot to produce banch ancestry graphs
* shell - a bzr command interpreter with command completion
* patch - apply a patch to your tree from a file or URL


%prep
%setup -q -n %{name}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root %{buildroot}
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/plugins/bzrtools/*.py

%files 
%doc README NEWS COPYING
%dir %{py_puresitedir}/bzrlib/plugins/bzrtools
%{py_puresitedir}/bzrlib/plugins/bzrtools/*.py
%dir %{py_puresitedir}/bzrlib/plugins/bzrtools/tests
%{py_puresitedir}/bzrlib/plugins/bzrtools/tests/*.py
%{py_puresitedir}/BzrTools*.egg-info


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 347277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 2.5-2.mga3
+ Revision: 302704
- update RPM group

* Fri Jan 20 2012 kamil <kamil> 2.5-1.mga2
+ Revision: 198791
- new version 2.5

* Wed Sep 07 2011 tv <tv> 2.4.0-1.mga2
+ Revision: 140239
- new release

* Wed Apr 06 2011 ennael <ennael> 2.3.1-1.mga1
+ Revision: 81143
- clean spec file
- imported package bzrtools

